Bug 1474468 - If EC2MetadataIP is not set in director-ui, deployment will fail later on
If EC2MetadataIP is not set in director-ui, deployment will fail later on
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director-ui (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
low Severity low
: Upstream M3
: 13.0 (Queens)
Assigned To: Jiri Tomasek
Ola Pavlenko
: Triaged, ZStream
Depends On:
  Show dependency treegraph
Reported: 2017-07-24 13:25 EDT by David Hill
Modified: 2018-03-21 22:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Hill 2017-07-24 13:25:43 EDT
Description of problem:
If EC2MetadataIP is not set in director-ui, deployment will fail later on

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to deploy the overcloud with network-isolation

Actual results:
When logging on the overcloud nodes, next_hop is not defined and it fails configuration the network

Expected results:
Should at least warn if the value is empty ... Isn't there validation of our input values?

Additional info:
Comment 1 Dan Trainor 2017-09-19 15:37:32 EDT
I had just tested a very basic Overcloud deployment accepting all the defaults, including only one Controller and one Compute, and was not able to reproduce this.  I do recall running in to this problem in the past, but we may have a better lookup for EC2MetadataIP by now.

Showing that EC2MetadataIP is not specified in the environment by my doing (if it was, then the default is not used, in lieu of what's specified here):

[cloud-user@undercloud-split-stack ~]$ mistral environment-get overcloud | grep -i EC2MetadataIP
[cloud-user@undercloud-split-stack ~]$ 

Are you still experiencing this?  Are there any more factors considered in your deployment that I omitted from my tests?
Comment 2 Dan Trainor 2017-09-21 20:53:27 EDT
I just ran in to this.  It happens with the inclusion of o-t-h-t/environments/network-environment.yaml.
Comment 5 David Hill 2017-11-13 16:19:00 EST
Sorry for the delay.   I no longer have access to the customer environment but should we include or not network-environment.yaml ?
Comment 6 Jiri Tomasek 2018-01-25 11:11:48 EST
IIUC in case when EC2MetadataIP (or any other required parameter) is not specified, the heat validation will now fail with a reasonable error without triggering the deployment. This check is also performed on every parameters update through GUI. That should catch the error.

There might also be a problem with collision/order of environment files. I am going to investigate this further.

Note You need to log in before you can comment on or make changes to this bug.